seo:
  title: 'Two DevOps platform superpowers: Visibility and actionability'
  description: >-
    Migrating to a DevOps platform helps organizations better understand and
    improve their development lifecycle.
  ogTitle: 'Two DevOps platform superpowers: Visibility and actionability'
  ogDescription: >-
    Migrating to a DevOps platform helps organizations better understand and
    improve their development lifecycle.
  noIndex: false
  ogImage: images/blog/hero-images/group-rowing-collaboration.jpg
  ogUrl: https://about.gitlab.com/blog/less-headaches
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/less-headaches
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Two DevOps platform superpowers: Visibility and actionability",
            "author": [{"@type":"Person","name":"Sharon Gaudin"}],
            "datePublished": "2022-09-26",
          }

content:
  title: 'Two DevOps platform superpowers: Visibility and actionability'
  description: >-
    Migrating to a DevOps platform helps organizations better understand and
    improve their development lifecycle.
  authors:
    - Sharon Gaudin
  heroImage: images/blog/hero-images/group-rowing-collaboration.jpg
  date: '2022-09-26'
  body: >+

    A [DevOps platform](/blog/2021/09/02/the-journey-to-a-devops-platform/)
    deployed as a single application takes DevOps gains to the next level,
    enabling teams to deliver more value to their organization with fewer
    headaches. A platform, which includes the ability to plan, develop, test,
    secure, and operate software, empowers teams to deliver software faster,
    more efficiently, and more securely. And that [makes the business more
    competitive and more
    agile](/blog/2022/02/03/the-devops-platform-series-building-a-business-case/).


    ## DevOps visability and actionability


    A complete DevOps platform gives organizations everything they need to turn
    ideas into valuable and secure software without the time-consuming and
    costly headaches that multiple tools and multiple UXes bring. A single,
    end-to-end platform also gives teams one data store sitting underneath
    everything they do, and, regardless of the interface they are using, allows
    them to easily surface insights about developer productivity, workflow
    efficiency, and DevOps practice adoption.


    There are many benefits to a DevOps platform, including visibility and
    actionability. 


    ### Gain visibility and context


    A DevOps platform enables DevOps teams to see and understand what’s
    happening in their organization, and provide context for those events. With
    insights that go much deeper than what a simple report or dashboard can
    offer, DevOps teams can better understand the status of projects, as well as
    their impact.


    ### Take action more easily


    Actionability means users can take that contextual information and
    efficiently and quickly do something with it at the point of understanding.
    Users can move a project ahead more quickly because they don’t have to wait
    to have a synchronous conversation or meeting to review the new information.


    Here are a few ways that an end-to-end platform provides visibility and
    actionability.


    ### Track projects with epics and issues


    In a DevOps platform, users are better able to communicate, plan work, and
    collaborate by using epics and issues.
    [Epics](https://docs.gitlab.com/ee/user/group/epics/) are an overview of a
    project, idea, or workflow. Issues are used to organize and list out what
    needs to be done to complete the larger goal, to track tasks and work
    status, or work on code implementations.


    For instance, if managers want an overview of how multiple projects,
    programs, or products are progressing, they can get that kind of visibility
    by checking an epic, which will give them a high-level rollup view of what
    is being worked on, what has been completed, and what is on schedule or
    delayed. Users can call up an epic to quickly see what’s been accomplished
    and what is still under way, and then they can dig deeper into sub-epics and
    related issues for more information.


    [Issues](https://docs.gitlab.com/ee/user/project/issues/) offer details
    about implementation of specific goals, trace collaboration on that topic,
    and show which parts of the initiative team members are taking on. Users
    also can see whether due dates have been met or not. Issues can be used to
    reassign pieces of work, give updates, make comments or suggestions, and see
    how the nuts and bolts are being created and moved around.


    ### Labels help track and search projects


    Labels are classification tags, which are often assigned colors and
    descriptive titles like "bug", "feature request", or "docs" to make them
    easy to understand. They are used in epics, issues, and merge requests to
    help users organize their work and ideas. They give users at-a-glance
    insight about what teams are working on a project, the focus of the work,
    and where it stands in the development lifecycle. Labels can be added and
    removed as work progresses to enable better tracking and searching. 


    ### Dashboards help track metrics


    Dashboards are reporting tools that pull together metrics from multiple
    tools to create an at-a-glance view of projects, [security
    issues](/blog/2020/07/07/secure-stage-for-appsec/), the health of different
    environments, or requests coming in for specific departments or teams, for
    instance. DevOps platform users can set up live dashboards to see trends in
    real time, map processes, and track response times,
    [errors](/blog/2020/01/23/iteration-on-error-tracking/), and deployment
    speed. Dashboards also can be used to see alert statuses and the effect on
    specific applications and the business overall.


    ### Value stream analytics 


    For visibility without any customization required, there are [value stream
    analytics](/blog/2022/01/24/gitlab-value-stream-analytics/). This interface
    automatically pulls in data to show users how long it takes the team to
    complete each stage in their workflow – across planning, development,
    deployment, and monitoring. This gives developers or product owners – or
    anyone who wants information on workflow efficiency –  [a look at high-level
    metrics](/stages-devops-lifecycle/value-stream-analytics/), like deployment
    frequency. This is actionable information so it also shows what part of the
    project is taking the most time or what is holding up progress. Based on
    this information, the user can suggest changes, like moving milestones or
    assigning the work to someone new, and enact those changes with just one
    click. 


    With a DevOps platform, teams have end-to-end visibility that also is
    actionable. By enabling users to find the information they need with the
    context they need and giving them the ability to make immediate changes,
    data becomes actionable. Using a single platform, teams can move projects
    along more quickly, iterate faster, and create more value and company
    agility.


    Check out our [Migrating to a DevOps platform
    eBook](https://page.gitlab.com/migrate-to-devops-guide.html?_gl=1*6p1rz*_ga*MTI3MzMwNjYwMi4xNjYyOTg0OTAw*_ga_ENFH3X7M5Y*MTY2Mzk0NDY1Mi4zOS4xLjE2NjM5NDQ2NjEuMC4wLjA.)
    for even more useful information about how to complete a successful DevOps
    platform migration

  category: DevSecOps
  tags:
    - DevOps
    - growth
    - performance
config:
  slug: less-headaches
  featured: false
  template: BlogPost
